Bug 203426 - CVE-2006-4226 mysql-server create database privilege escalation
CVE-2006-4226 mysql-server create database privilege escalation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mysql (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
reported=20060817,source=gentoo,publi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 16:36 EDT by Josh Bressers
Modified: 2013-07-02 23:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0152
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:58:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-21 16:36:36 EDT
Mysql upstream found a bug in the way the mysql server handles database
permissions when the server is run on a case sensitive filesystem.

This could allow a user who has been granted certain rights to do unexpected
things, such as creating a new database.

The upstream bug has more information:
http://bugs.mysql.com/bug.php?id=17647
Comment 11 Red Hat Bugzilla 2007-04-03 14:58:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0152.html

Note You need to log in before you can comment on or make changes to this bug.